#%define __libtoolize /bin/true
%define _requires_exceptions devel(libogdi31(64bit))

%define major 1
%define libname %mklibname %{name} %{major}

%define build_geotiff 1
%{?_without_geotiff: %define build_geotiff 0}

# Build gdal against libgrass. It is better to instead compile the new plugin
# which builds against grass itself (and thus has more features than the
# libgrass5 version
%define build_libgrass 0
%{?with_libgrass: %define build_libgrass 1}

Name: gdal
Version: 1.4.0
Release: %mkrel 1
Summary: The Geospatial Data Abstraction Library (GDAL)
Group: Sciences/Geosciences
License:	MIT
URL: http://www.remotesensing.org/gdal/
Source: ftp://ftp.remotesensing.org/pub/gdal/%{name}-%{version}.tar.bz2
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
%if %build_geotiff
BuildRequires:	libgeotiff-devel >= 1.2.0
%endif
BuildRequires:	libpng-devel
BuildRequires:	libungif-devel
BuildRequires:	postgresql-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libproj-devel >= 4.4.7
%if %{build_libgrass}
BuildRequires:	libgrass5-devel
%else
BuildConflicts:	%mklibname -d grass 5 0
%endif
BuildRequires:	libjasper-devel
BuildRequires: libgeos-devel >= 2.2.3
#HDF broken
Buildconflicts: HDF
BuildRequires:	netcdf-devel
BuildRequires:	ogdi-devel
BuildRequires:	cfitsio-devel
BuildRequires:	python-numeric-devel
BuildRequires:	sqlite3-devel
BuildRequires:	mysql-devel
%py_requires -d 
Requires:	%{libname} = %{version}
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
The Geospatial Data Abstraction Library (GDAL) is a unifying
C/C++ API for accessing raster geospatial data, and currently
includes formats like GeoTIFF, Erdas Imagine, Arc/Info
Binary, CEOS, DTED, GXF, and SDTS. It is intended to provide
efficient access, suitable for use in viewer applications,
and also attempts to preserve coordinate systems and metadata.
Python, C, and C++ interfaces are available.

%package python
Summary: The Python bindings for the GDAL library
Group: 		Sciences/Geosciences
#Requires:
Requires: %{libname} = %{version}
%description python
The Python bindings for the GDAL library

%package -n %{libname}
Summary: Libraries required for the GDAL library
Group: 		Sciences/Geosciences
Provides: lib%{name} = %{version}
%description -n %{libname}
Libraries required for the GDAL library

%package -n %{libname}-devel
Summary: Development files for using the GDAL library
Group: 		Sciences/Geosciences
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
%description -n %{libname}-devel
Development files for using the GDAL library

%prep
%setup -q

%build
%configure2_5x \
	--with-libz \
	--with-png \
%if %build_geotiff	
	--with-libtiff \
	--with-geotiff \
%else
	--with-libtiff=internal \
	--with-geotiff=internal \
%endif	
	--with-gif \
	--with-jpeg \
	--with-ogr \
%if %{build_libgrass}
	--with-grass \
%endif
	--with-sqlite \
	--with-pg \
	--with-mysql
perl -pi -e 's/^(CX*_OPTFLAGS.*$)/$1 -fPIC/g' GDALmake.opt
%make

%install
rm -Rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT/%{_prefix}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages
%makeinstall \
INST_PREFIX=%{buildroot}/%{_prefix} \
INST_INCLUDE=%{buildroot}/%{_includedir} \
INST_DATA=%{buildroot}/%{_datadir}/gdal \
INST_LIB=%{buildroot}/%{_libdir} \
INST_BIN=%{buildroot}/%{_bindir} \
INST_PYMOD=%{buildroot}/%{_libdir}/python%{pyver}/site-packages \
INST_MAN=%{buildroot}/%{_mandir} 

perl -pi -e 's,%{_prefix}/lib/,%{_libdir}/,g' %{buildroot}/%{_libdir}/libgdal.la

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/gdal-config
%multiarch_includes %{buildroot}%{_includedir}/cpl_config.h
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_datadir}/gdal/
%{_bindir}/ogr*
%{_bindir}/gdal*
%exclude %{_bindir}/gdal-config
%{_mandir}/man?/*
%doc NEWS VERSION

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*.h
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/gdal-config
%multiarch %{multiarch_includedir}/cpl_config.h
%endif
%{_bindir}/gdal-config
# doc html/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%ifnarch x86_64
%files python
%defattr(-,root,root)
%py_sitedir/*
%{_bindir}/*.py
%doc pymod/samples
%endif



%changelog
* Sun Jan 14 2007 Emmanuel Andry <eandry@mandriva.org> 1.4.0-1mdv2007.0
+ Revision: 108693
- New version 1.4.0

* Sun Nov 12 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.2-6mdv2007.0
+ Revision: 83285
- Include changes from Franck Martin <franck@sopac.org>:
- added support for mysql

* Thu Aug 31 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.2-5mdv2007.0
+ Revision: 59043
- bump release
- Ensure paths in libtool file are correct on x86_64 (fixes linking to gdal with libtool)
  Conflict with libgrass5-devel when building without obsolete libgrass

* Tue Aug 29 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.2-4mdv2007.0
+ Revision: 58743
- force -fPIC to fix linking to gdal in x86_64
- filter bad ogdi require

* Wed Aug 23 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.2-2mdv2007.0
+ Revision: 57696
- Merge changes that were lost when the SRPM was lost, but binaries were
  accepted making re-uploading the SRPM difficult, followed by an NMU into svn:
- dont buildrequire grass, we will add the plugin package
- dont try and ship python modules on x86_64 for now

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com> 1.3.2-1mdv2007.0
+ Revision: 51716
- New upstream version 1.3.2
- import gdal-1.2.6-4mdk


* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-4mdk
- added one gcc4 patch by debian (P0)
- fix deps
- added one lib64 fix

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.6-3mdk
- Fix Description

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.6-2mdk
- Rebuild for missing source rpm

* Tue May 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.6-1mdk
- 1.2.6

* Tue May 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.5-3mdk
- Rebuild
- Fix MultiArch

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.2.5-2mdk
- Rebuild for new python

* Tue Nov 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5

* Mon Sep 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Fri Jun 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Sun Jun 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.0-1mdk
- 1.2.0, drop p2
- build with ogdi,cfitsio,netcdf support
- correct major since lib naming issues are resolved

* Tue Nov 04 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.9-3mdk
- Bugfix from CVS (P2)

* Thu Aug 07 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.9-2mdk
- Fix provides/requires

* Thu Aug 07 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.9-1mdk
- 1.1.9 final
- conditionalise geotiff support (internal by default)
- clean up libname use
- check python version (for python-2.3 in cooker pre-9.2)
- Add python docs

* Tue Jun 17 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.9-0.cvs030616.1mdk
- 1.1.9 cvs snapshot
- build with geotiff support (requires libgeotiff >- 1.2.0)
- cleanups

* Tue Mar 18 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.8-2mdk
- Build with libgrass support

* Fri Feb 21 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.8-1mdk
- Fix unpackaged files and buildreqruires
- mklibname-ify
- From Alex Izvorski <izv@dslextreme.com>
  - upgraded to 1.1.8
  - rebuilt makefile patch
  - patched to work with latest libproj in cooker (statically linked for now)

* Fri Aug 16 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.7-2mdk
- Make major 0 for the moment

* Tue May 21 2002 Buchan Milne <bgmilne@cae.co.za>  1.1.7-1mdk
- First stab at a Mandrake RPM

